from django.contrib import admin
from django.urls import include, path
from app.views import *
import django_cas_ng.views
from app.models import *

admin.site.register(Event)
admin.site.register(User)
admin.site.register(Zone)

urlpatterns = [
    path("admin/", admin.site.urls),
    path("", include("django.contrib.auth.urls")),
    path("", home, name="home"),
    path("loginCAS/", django_cas_ng.views.LoginView.as_view(), name="cas_ng_login"),
    path("logoutCAS/", django_cas_ng.views.LogoutView.as_view(), name="cas_ng_logout"),
    path("evenement/", displayEvent, name="evenement_liste"),
    path("evenement/creation", createEvent, name="evenement_creation"),
    path("evenement/modification/<int:id>", modifyEvent, name="evenement_modification"),
    path("evenement/suppression/<int:id>", deleteEvent, name="evenement_suppression"),
    path("requete/", requests, name="requete_liste"),
    path("requete/creation/<int:id>", createRequest, name="requete_creation"),
    path("requete/modification/<int:id>", modifyRequest, name="requete_modification"),
    path("requete/validation", pendingRequest, name="requete_validation"),
    path("requete/suppression/<int:id>", refuseRequest, name="requete_refus"),
    path("requete/validation/<int:id>", acceptRequest, name="requete_acceptation"),
]
